/// <reference path="../../../items/consumables/consumableMenus.ts" />
/// <reference path="../../../npcs/_system/NPCAccessor.ts" />


setup.consumableMenus.brothel = {
    payment:'both',
    categories:{
        drinks:{
            label:'Drinks',
            items:{
                bev_bla:{price: (n)=>n/2},
                bev_vod:{price: (n)=>n/2},
                bev_bee:{price: (n)=>n/2},
                beer_wheat:{price: (n)=>n/2},
                bev_win:{},
                bev_wat:{price: 200}
            }
        },
        snacks:{
            label:'Snacks',
            items:{
                ryesna:{price: 30}
            }
        },
    }
};

setup.npcs["brothel_bar"] = {
	firstname:'Mirchik',
	lastname:'Zhukov',
	usedname:'The barman',
	notes:'The barman of the hotel near the main road of Pavlovsk',
	hotcat_rating:6,
	intel:60,
	defaults:['defaults'],
	//nameknown: false,
	rel: 50,
	image: 'locations/shared/brothel/barman.jpg',
	gender:EGender.MALE
}

setup.npcs["brothel_rec"] = {
	firstname:'Nikolai',
	lastname:'Zhukov',
	usedname:'Receptionist',
	notes:'',
	hotcat_rating:4,
	intel:70,
	defaults:['defaults'],
	//nameknown: false,
	rel: 50,
	image: 'locations/shared/brothel/receptionist.jpg',
	gender:0
}

setup.npcs["brothel_sec"] = {
	firstname:'Kristian',
	lastname:'Chomski',
	usedname:'Bouncer',
	notes:'',
	hotcat_rating:9,
	intel:60,
	defaults:['defaults'],
	//nameknown: false,
	rel: 50,
	image: 'locations/shared/brothel/bouncer.jpg',
	gender:0
}