/// <reference path="StartingCharacters.ts" />

setup.startingCharacters.debug = {
	hidden: true,
	parent: 'sg_starting_category',
	label: 'Debug',
	image: 'system/1_openings/2_sg/nerd_0.jpg',
	desc: 'Debug characters',
	pc:{
		bmi: 24,
		legHairVisibility: 4,
		skinAppearance: 0,
		tan: 0
	},
	skills:{
		chess:20,
		computer:20,
		gaming:20,
		highHeels:5,
		
		intelligence:45,
		makeup:15,
	},personality:{exhibitionism:10},
	items:{
		nerd_startarting_book_1:{
			generateFunction:'generateBook',
			generateParameters:['fantasy']
		},
		nerd_startarting_book_2:{
			generateFunction:'generateBook',
			generateParameters:['scifi']
		}
	},
	finances:{
		cash: 5000
	},
	traits:{
		nerd_points:60,
		nerd_status:2,
		nerd_lernHome:5,
	},
	school:{
		grades:{	art:75,	bio:80,	comp:80,	eng:85,	geo:80,	his:80,	lit:80,	math:85,	mus:75,	pe:60,	rus:80,	sci:90,	shop:55	},
		group: 'nerds'
	},
	npcs:{
		bulk:{
			nerds:{
				values:{
					fam: 500,
					rel: 65
				}
			},
			parents_social:{
				values:{
					rel: 70
				}
			}
		}
	},
	tags: ['nerd']
};

setup.startingCharacters.debug1 = {
	parent: 'debug',
	label: 'Queen of the nerds',
	image: 'system/1_openings/2_sg/nerd_1.webp',
	desc: `While you love all things nerdy, what you love the most is hanging out with your fellow nerds and doing nerdy things together. This has made you fairly social for a nerd and more general in your areas of knowledge. As you got older and started to develop as a woman, it also made you much more aware of your sexuality than most nerds are comfortable with. As such, you cultivated that awareness more than most and are now more at ease with your body than most of the other nerds.
	By nerd standards, you are confident, dynamic and attractive and this has led to you being the leader of your group of friends. You are more acceptable to other social groups as a result, especially the cool kids, who seem to respect your social skills and looks.`,
	pc:{
		bmi: 20,
		faceGeneticAttractiveness: 1,
		hairColor: 3,
		legHairVisibility: 1,
		skinAppearance: 1,
		teethQuality:0,
		tits: 4,
		//willpowermax: 70
	},
	skills:{
		charisma:40,
		highHeels:25,
		
		makeup:30,
		people:20,
		persuasion:20,
		iceskating:10,
		spirit:40,
	},personality:{exhibitionism:20},
	
	items:{
		cosmetics:10,
		razor:10
	},
	npcs:{
		bulk:{
			cool:{	values:{	fam: 300,	rel: 50}},
			jocks:{	values:{	fam: 200,	rel: 40}},
			nerds:{	values:{				rel: 75}},
			gopniks:{values:{	fam: 200,	rel: 20}},
			ouctasts:{values:{	fam: 200,	rel: 30}},
		}
	},
	time:{
		start: [2016,8,28,6,0]
	},
	wardrobe:{
		itemsByFilter:{
			anyFashionistaPurse:{
				filters:{
					vendor:'fashionista',
					type: 'purse'
				},
				action: 'wear'
			},
			shoeOfHeight0:{filters:{heels:0,type:'shoes'},action:'add'},
			shoeOfHeight1:{filters:{heels:1,type:'shoes'},action:'add'},
			shoeOfHeight2:{filters:{heels:2,type:'shoes'},action:'add'},
			shoeOfHeight3:{filters:{heels:3,type:'shoes'},action:'add'},
			shoeOfHeight4:{filters:{heels:4,type:'shoes'},action:'add'},
			shoeOfHeight5:{filters:{heels:5,type:'shoes'},action:'add'},
			shoeOfHeight6:{filters:{heels:6,type:'shoes'},action:'add'},
			shoeOfHeight7:{filters:{heels:7,type:'shoes'},action:'add'},
			shoeOfHeight8:{filters:{heels:8,type:'shoes'},action:'add'},
		}
	}
};