/// <reference path="../../../items/consumables/consumableMenus.ts" />
/// <reference path="../../../items/consumables/consumables.ts" />
/// <reference path="../../../locations/_system/locations.ts" />


setup.locations.city_kafe = {
	openTimes:{
		daysBL:['MO'],
		begin:[12,0],
		end:[23,0]
	}
}

setup.jobs ??= {};
setup.jobs.city_kafe_waitress = {
	title: 'Waitress at The Roadhouse',
	pay: 430, //Equals ~600 per work day
	payInterval: 'week',
	payDay: 1,
	workdays: [2,3,4,5,6,7],
	worktimes: [12,0,20,0],
	vacationInterval: [3,1],
	holidays: false,
	boss:'A41',
	workLocations: ['city_residential','city_kafe'],
	workPassage: 'city_cafe_work'
}

setup.consumables ??= {};
setup.consumables.city_kafe_work_lunch = {
	type: 'meal',
	time: 10,
	hunger: 60,
	energy: 1.5,
	thirst: Infinity,
	price: 0,
	costItems:[],
	imageRand:  {template:"shared/food/food_#.jpg",min:1,max:4},
	desc: ""
}

setup.consumableMenus.city_kafe = {
	payment: 'both',
	categories:{
		burgers:{
			label:'Burger',
			items:{
				cheburg:{},
				turburg:{},
				vegburg:{},

			}
		},
		drinks:{
			label:'Drinks',
			items:{
				bev_wat:{price: 50}
			}
		}
	}
	/*{name:'Onion Rings',
	type:'onring',
	price:80},

	{name:'Battered Fish', 
	type:'batfish',
	price:290},

	{name:'Water',
	type:'waterTap',
	price:0},
	{name:'Kvass',
	type:'bev_kva',
	price:55},
	{name:'Juice',
	type:'bev_jui',
	price:70},
	{name:'Spiced Tea',
	type:'bev_tea',
	price:110},
	{name:'Black Coffee',
	type:'bev_cof',
	price:120},
	{name:'Milkshake',
	type:'bev_mil',
	price:180}*/
};