/// <reference path="../../_system/NPCAccessor.ts" />

setup.npcs["A29"] = {
	dna:'1545843327 1962976090 1780199176 1930957336 1888703623 1843607237 1675779774',
	firstname:'Natasha',
	nickname:'Mother',
	lastname:'Incorrect Initialization: $pc.name_last',
	usedname:'Mother',
	notes:'Your mother <<=$npcs.get("A29","firstname")>>',
	dob:19820612,
	gender:1,
	sexskill:2,
	bust:25,
	passage:'npc_mother',
	hotcat_rating:6,
	preference:{
		short_skirt:{
			state: ENPCPreference.Dislike
		}
		/*bimbo:- 1,
		punk:- 1,
		goth:- 1,
		clothes_thinnes:- 1,
		short_skirt:- 1,
		piercing:- 1,
		tatoo:- 1,
		cum_on_face:- 1,
		cum_on_clothes:- 1,
		pregnant:- 1,
		strong:- 1,*/
	},
	defaults:['defaults','group_family','group_parents_social'],
	image:'characters/shared/headshots_main/29.jpg',
	timetable:{
		weekday:{
			time:{
				days:['MO','TU','WE','TH','FR'] 
			},
			subtable:{
				asleepM:{			time:{begin:[0,0]},		result: {location: 'home',activity:['asleep']}},
				shower:{			time:{begin:[5,30]},	result: {location: 'home',activity:['shower']}},
				dressingUp:{		time:{begin:[5,45]},	result: {location: 'home',activity:['dressingUp']}},
				breakfast_prepare:{	time:{begin:[6,0]},		result: {location: 'home',activity:['breakfast','prepare']}},
				breakfast_setup:{	time:{begin:[6,40]},	result: {location: 'home',activity:['breakfast','setup']}},
				breakfast_eat:{		time:{begin:[6,45]},	result: {location: 'home',activity:['breakfast','eat']}},
				breakfast_cleanup:{	time:{begin:[7,15]},	result: {location: 'home',activity:['breakfast','cleanup']}},
				clean_rand:{		time:{begin:[7,30]},	either:[
					{location: 'home',activity:['clean','kitchen']},
					{location: 'home',activity:['clean','living']}
				]},
				work:{				time:{begin:[8,30]},	result:{location: 'work',activity:[]}},
				supermarket:{
					time:{
						days:['MO','TU','WE','TH'] 
					},
					subtable:{
						supermarket:{		time:{begin:[16,0]},	result:{location: 'supermarket',activity:[]}},
						toHome:{			time:{begin:[16,50]},	result: {location: 'outdoors',activity:['toHome']}},
						dinner_prepare:{	time:{begin:[17,0]},	result: {location: 'home',activity:['dinner','prepare']}}
					}
				},
				toHome:{
					time:{begin:[17,50],days:['FR']},		result: {location: 'outdoors',activity:['toHome']}
				},
				dinner_eat:{	time:{begin:[18,0]},		result: {location: 'home',activity:['dinner','eat']}},
				dinner_cleanup:{time:{begin:[18,30]},		result: {location: 'home',activity:['dinner','cleanup']}},
				luda:{
					time:{
						days:['MO'],
						begin:[19,0]
					},
					result: {location: 'luda',activity:['visiting']}
				},
				cleanAndTV:{
					time:{
						days:['TU','WE','TH','FR'] 
					},
					subtable:{
						clean_rand:{		time:{begin:[19,0]},	either:[
							{location: 'home',activity:['clean','kitchen']},
							{location: 'home',activity:['clean','bathroom']}
						]},
						tv:{	time:{begin:[20,0]},		result: {location: 'home',activity:['tv']}}
					}
				},
				sexDad:{		time:{begin:[22,0]},		result: {location: 'home',activity:['sexDad']}},
				asleepN:{		time:{begin:[23,0]},		result: {location: 'home',activity:['asleep']}},
			}
		},
		'weekend':{
			time:{
				days:['SA','SU']
			},
			subtable:{
				asleepM:{			time:{begin:[0,0]},		result: {location: 'home',activity:['asleep']}},
				shower:{			time:{begin:[5,30]},	result: {location: 'home',activity:['shower']}},
				dressingUp:{		time:{begin:[5,45]},	result: {location: 'home',activity:['dressingUp']}},
				breakfast_prepare:{	time:{begin:[6,0]},		result: {location: 'home',activity:['breakfast','prepare']}},
				breakfast_setup:{	time:{begin:[6,40]},	result: {location: 'home',activity:['breakfast','setup']}},
				breakfast_eat:{		time:{begin:[6,45]},	result: {location: 'home',activity:['breakfast','eat']}},
				breakfast_cleanup:{	time:{begin:[7,15]},	result: {location: 'home',activity:['breakfast','cleanup']}},
				clean_rand:{time:{begin:[7,30]},	either:[
					{location: 'home',activity:['clean','kitchen']},
					{location: 'home',activity:['clean','living']},
					{location: 'home',activity:['clean','bathroom']},
					{location: 'home',activity:['clean','playerRoom']},
				]},
				fromHome:{			time:{begin:[11,0]},	result: {location: 'outdoors',activity:['fromHome']}},
				saturdays:{
					time:{days:['SA'],begin:[11,30]},
					either:[
						{location: 'outdoors',activity:['shopping']},
						{location: 'outdoors',activity:['salon']}
					]
				},
				sundays:{
					time:{days:['SU'],begin:[11,30]},
					result: {location: 'outdoors',activity:['church']}
				},
				kolkasGame:{		time:{begin:[14,0]},	either:[{location: 'outdoors',activity:['kolkasGame']},{location: 'luda',activity:['visiting']}]},
				dinner_prepare:{	time:{begin:[17,0]},	result: {location: 'home',activity:['dinner','prepare']}},
				dinner_eat:{		time:{begin:[18,0]},	result: {location: 'home',activity:['dinner','eat']}},
				dinner_cleanup:{	time:{begin:[18,30]},	result: {location: 'home',activity:['dinner','cleanup']}},
				slut:{				time:{begin:[19,0]},	result: {location: 'outdoors',activity:['slut']}},
				tv:{				time:{begin:[21,0]},	result: {location: 'home',activity:['tv']}},
				asleepN:{			time:{begin:[22,0]},	result: {location: 'home',activity:['asleep']}}
			}
		}
	}
};
